Holger's Java API

## com.antelmann.ooffice
Enum OODocType

    java.lang.Object
      java.lang.Enum<OODocType>
          com.antelmann.ooffice.OODocType

All Implemented Interfaces:
  Serializable, Comparable<OODocType>

    public enum OODocType

extends Enum<OODocType>

supported OpenOffice document types

Since:
  18.07.2008, 20:04:44
Author:
  Holger Antelmann
See Also:
  `OOWriter`, `OOCalc`

Enum Constant Summary
`CALC`
`DRAWING`
`WRITER`

Method Summary
`Class<?>` `getDocumentClass()` returns the document class for loading a document of this kind
`String` `getFileExtension()`
`String` `getTypeString()` used as a url to create a new document of the given type
`static OODocType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OODocType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WRITER

    public static final OODocType WRITER

### CALC

    public static final OODocType CALC

### DRAWING

    public static final OODocType DRAWING

Method Detail

### values

    public static OODocType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OODocType c : OODocType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OODocType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getTypeString

    public String getTypeString()

  used as a url to create a new document of the given type

### getDocumentClass

    public Class<?> getDocumentClass()

  returns the document class for loading a document of this kind

### getFileExtension

    public String getFileExtension()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads